Uses of Interface
io.helidon.common.http.HttpMediaType
Packages that use HttpMediaType
Package
Description
HTTP APIs and implementations usable by both server and client side of the HTTP story.
Multipart Entity Media handling support.
Common classes for processing content with a specific
HttpMediaType.Helidon Reactive Media MultiPart.
A reactive client for rest calls.
Reactive web server API.
-
Uses of HttpMediaType in io.helidon.common.http
Fields in io.helidon.common.http declared as HttpMediaTypeModifier and TypeFieldDescriptionstatic final HttpMediaTypeHttpMediaType.APPLICATION_JSONapplication/jsonmedia type without parameters.static final HttpMediaTypeHttpMediaType.APPLICATION_OCTET_STREAMapplication/octet-streammedia type without parameters.static final HttpMediaTypeHttpMediaType.JSON_UTF_8application/json media type with UTF-8 charset.static final HttpMediaTypeHttpMediaType.PLAINTEXT_UTF_8text/plain media type with UTF-8 charset.static final HttpMediaTypeHttpMediaType.TEXT_PLAINtext/plainmedia type without parameters.Fields in io.helidon.common.http with type parameters of type HttpMediaTypeModifier and TypeFieldDescriptionstatic final List<HttpMediaType>ServerRequestHeaders.HUC_ACCEPT_DEFAULT_TYPESAccepted types forServerRequestHeaders.HUC_ACCEPT_DEFAULT.static final Predicate<HttpMediaType>HttpMediaType.JSON_EVENT_STREAM_PREDICATEPredicate to test ifMediaTypeistext/event-streamwithout any parameter or with parameter "element-type".static final Predicate<HttpMediaType>HttpMediaType.JSON_PREDICATEMethods in io.helidon.common.http that return HttpMediaTypeModifier and TypeMethodDescriptionHttpMediaType.Builder.build()static HttpMediaTypeCreate a new HTTP media type from media type.static HttpMediaTypeParse media type from the provided string.default HttpMediaTypeHttpMediaType.withCharset(String charset) Create a newHttpMediaTypeinstance with the same type, subtype and parameters copied from the original instance and the supplied "charset" parameter.default HttpMediaTypeHttpMediaType.withCharset(Charset charset) Create a newHttpMediaTypeinstance with the same type, subtype and parameters copied from the original instance and the supplied "charset" parameter.default HttpMediaTypeHttpMediaType.withParameter(String name, String value) Create a newHttpMediaTypeinstance with the same type, subtype and parameters copied from the original instance and the supplied custom parameter.Methods in io.helidon.common.http that return types with arguments of type HttpMediaTypeModifier and TypeMethodDescriptionHeaders.acceptedTypes()Returns a list of acceptedTypes (Http.Header.ACCEPTheader) content discoveryTypes in quality factor order.default List<HttpMediaType>ClientResponseHeaders.acceptPatches()Accepted patches.default Optional<HttpMediaType>Headers.contentType()Content type (if defined).Methods in io.helidon.common.http with parameters of type HttpMediaTypeModifier and TypeMethodDescriptiondefault ClientRequestHeadersClientRequestHeaders.accept(HttpMediaType... accepted) Accepted media types.default ServerResponseHeadersServerResponseHeaders.addAcceptPatches(HttpMediaType... acceptableMediaTypes) Adds one or more acceptedTypes path document formats (headerHttp.Header.ACCEPT_PATCH).default BWritableHeaders.contentType(HttpMediaType contentType) Sets the MIME type of the response body.booleanHttpMediaType.test(HttpMediaType other) Check if this media type is compatible with another media type. -
Uses of HttpMediaType in io.helidon.nima.http.media.multipart
Methods in io.helidon.nima.http.media.multipart that return HttpMediaTypeModifier and TypeMethodDescriptionReadablePart.contentType()Content type of this multipart part.WriteablePart.contentType()Content type of this part.Methods in io.helidon.nima.http.media.multipart with parameters of type HttpMediaTypeModifier and TypeMethodDescriptionWriteablePart.Builder.contentType(HttpMediaType mediaType) Content type of this part, with possible parameters. -
Uses of HttpMediaType in io.helidon.reactive.media.common
Methods in io.helidon.reactive.media.common that return HttpMediaTypeModifier and TypeMethodDescriptionMessageBodyWriterContext.findAccepted(HttpMediaType mediaType) Find the given media type in the inboundAcceptheader.MessageBodyWriterContext.findAccepted(Predicate<HttpMediaType> predicate, HttpMediaType defaultType) Find an media type in the inboundAcceptheader with the given predicate and default value.Methods in io.helidon.reactive.media.common that return types with arguments of type HttpMediaTypeModifier and TypeMethodDescriptionMessageBodyWriterContext.acceptedTypes()Get the inboundAcceptheader.MessageBodyReaderContext.contentType()Get theContent-Typeheader.MessageBodyWriterContext.contentType()Get theContent-Typeheader.Methods in io.helidon.reactive.media.common with parameters of type HttpMediaTypeModifier and TypeMethodDescriptionvoidMessageBodyWriterContext.contentType(HttpMediaType contentType) Set theContent-Typeheader value in the underlying headers if not present.MessageBodyWriterContext.findAccepted(HttpMediaType mediaType) Find the given media type in the inboundAcceptheader.MessageBodyWriterContext.findAccepted(Predicate<HttpMediaType> predicate, HttpMediaType defaultType) Find an media type in the inboundAcceptheader with the given predicate and default value.Method parameters in io.helidon.reactive.media.common with type arguments of type HttpMediaTypeModifier and TypeMethodDescriptionstatic MessageBodyReaderContextMessageBodyReaderContext.create(MediaContext mediaContext, MessageBodyContext.EventListener eventListener, Headers headers, Optional<HttpMediaType> contentType) Create a new empty reader context backed by the specified headers.static MessageBodyReaderContextMessageBodyReaderContext.create(MessageBodyReaderContext parent, MessageBodyContext.EventListener eventListener, Headers headers, Optional<HttpMediaType> contentType) Create a new empty reader context backed by the specified headers.static MessageBodyWriterContextMessageBodyWriterContext.create(MediaContext mediaContext, MessageBodyContext.EventListener eventListener, WritableHeaders<?> headers, List<HttpMediaType> acceptedTypes) Create a new writer context.static MessageBodyWriterContextMessageBodyWriterContext.create(MessageBodyWriterContext parent, MessageBodyContext.EventListener eventListener, WritableHeaders<?> headers, List<HttpMediaType> acceptedTypes) Create a new writer context.MessageBodyWriterContext.findAccepted(Predicate<HttpMediaType> predicate, HttpMediaType defaultType) Find an media type in the inboundAcceptheader with the given predicate and default value. -
Uses of HttpMediaType in io.helidon.reactive.media.multipart
Methods in io.helidon.reactive.media.multipart that return HttpMediaTypeModifier and TypeMethodDescriptiondefault HttpMediaTypeBodyPartHeaders.defaultContentType()Returns the defaultContent-Typeheader value:MediaTypes.APPLICATION_OCTET_STREAMif theContent-Dispositionheader is present with a non empty value, otherwiseMediaTypes.TEXT_PLAIN.BodyPartHeaders.partContentType()Get theContent-Typeheader.ReadableBodyPartHeaders.partContentType()WriteableBodyPartHeaders.partContentType()Methods in io.helidon.reactive.media.multipart that return types with arguments of type HttpMediaTypeModifier and TypeMethodDescriptionReadableBodyPartHeaders.acceptedTypes()WriteableBodyPartHeaders.acceptedTypes()Methods in io.helidon.reactive.media.multipart with parameters of type HttpMediaTypeModifier and TypeMethodDescriptionWriteableBodyPartHeaders.Builder.contentType(HttpMediaType contentType) Add aContent-Typeheader. -
Uses of HttpMediaType in io.helidon.reactive.webclient
Methods in io.helidon.reactive.webclient that return types with arguments of type HttpMediaTypeModifier and TypeMethodDescriptionWebClientResponseHeaders.contentType()Returns content type of the response.Methods in io.helidon.reactive.webclient with parameters of type HttpMediaTypeModifier and TypeMethodDescriptionWebClientRequestBuilder.accept(HttpMediaType... mediaTypes) Media types which are accepted in the response, support for quality factor and additional parameters.WebClientRequestHeaders.addAccept(HttpMediaType mediaType) Add acceptedHttpMediaType.WebClientRequestBuilder.contentType(HttpMediaType contentType) Content type of the request.WebClientRequestHeaders.contentType(HttpMediaType contentType) Set a content type. -
Uses of HttpMediaType in io.helidon.reactive.webserver
Methods in io.helidon.reactive.webserver that return HttpMediaTypeModifier and TypeMethodDescriptionprotected HttpMediaTypeJsonService.toJsonResponseType(HttpMediaType acceptedType) Returns the response type for the given type if it is an accepted JSON type.Methods in io.helidon.reactive.webserver with parameters of type HttpMediaTypeModifier and TypeMethodDescriptionRequestPredicate.accepts(HttpMediaType... contentType) Only accept request that accepts any of the given content types.RequestPredicate.hasContentType(HttpMediaType... contentType) Only accept requests with any of the given content types.protected HttpMediaTypeJsonService.toJsonResponseType(HttpMediaType acceptedType) Returns the response type for the given type if it is an accepted JSON type.